Skip to content

/audit

GET
/audit
curl --request GET \
--url 'https://example.com/api/v1/audit?limit=100&offset=0' \
--header 'Authorization: Bearer <token>'
limit
integer
default: 100 >= 1 <= 500
offset
integer
0 <= 9007199254740991
actor
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
action
string
>= 1 characters <= 100 characters
entity
string
>= 1 characters <= 50 characters
from
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$/
to
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$/

Default Response

Media typeapplication/json
object
items
required
Array<object>
object
id
required
integer
>= -9007199254740991 <= 9007199254740991
actorUserId
required
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
actor
required
Any of:
string
action
required
string
entity
required
string
entityId
required
Any of:
string
before
required
Any of:
after
required
Any of:
ip
required
Any of:
string
at
required
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$/
total
required
integer
>= -9007199254740991 <= 9007199254740991
Examplegenerated
{
"items": [
{
"id": 1,
"actorUserId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"actor": "example",
"action": "example",
"entity": "example",
"entityId": "example",
"before": "example",
"after": "example",
"ip": "example",
"at": "2026-04-15T12:00:00Z"
}
],
"total": 1
}